<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Encryptor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Encryptor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":6,"i3":6,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Encryptor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/Encryptor.html" target="_top">Frames</a></li>
        <li><a href="Encryptor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Class Encryptor" class="title">Class Encryptor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.crypt.Encryptor</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/crypt/agile/AgileEncryptor.html"
                           title="class in org.apache.poi.poifs.crypt.agile">AgileEncryptor</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/BinaryRC4Encryptor.html"
                            title="class in org.apache.poi.poifs.crypt.binaryrc4">BinaryRC4Encryptor</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/cryptoapi/CryptoAPIEncryptor.html"
                            title="class in org.apache.poi.poifs.crypt.cryptoapi">CryptoAPIEncryptor</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/standard/StandardEncryptor.html"
                            title="class in org.apache.poi.poifs.crypt.standard">StandardEncryptor</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/xor/XOREncryptor.html"
                            title="class in org.apache.poi.poifs.crypt.xor">XOREncryptor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">Encryptor</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#DEFAULT_POIFS_ENTRY">DEFAULT_POIFS_ENTRY</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#Encryptor--">Encryptor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Encryptor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#confirmPassword-java.lang.String-">confirmPassword</a></span>(java.lang.String&nbsp;password)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#confirmPassword-java.lang.String-byte:A-byte:A-byte:A-byte:A-byte:A-">confirmPassword</a></span>(java.lang.String&nbsp;password,
                                    byte[]&nbsp;keySpec,
                                    byte[]&nbsp;keySalt,
                                    byte[]&nbsp;verifier,
                                    byte[]&nbsp;verifierSalt,
                                    byte[]&nbsp;integritySalt)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>abstract java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#getDataStream-org.apache.poi.poifs.filesystem.DirectoryNode-">getDataStream</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>
                                    <div class="block">Return a output stream for encrypted data.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherOutputStream.html"
                                        title="class in org.apache.poi.poifs.crypt">ChunkedCipherOutputStream</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#getDataStream-java.io.OutputStream-int-">getDataStream</a></span>(java.io.OutputStream&nbsp;stream,
                                    int&nbsp;initialOffset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#getDataStream-org.apache.poi.poifs.filesystem.POIFSFileSystem-">getDataStream</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#getEncryptionInfo--">getEncryptionInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Encryptor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#getInstance-org.apache.poi.poifs.crypt.EncryptionInfo-">getInstance</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;info)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>javax.crypto.SecretKey</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#getSecretKey--">getSecretKey</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#setChunkSize-int-">setChunkSize</a></span>(int&nbsp;chunkSize)</code>
                                    <div class="block">Sets the chunk size of the data stream.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#setEncryptionInfo-org.apache.poi.poifs.crypt.EncryptionInfo-">setEncryptionInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;encryptionInfo)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html#setSecretKey-javax.crypto.SecretKey-">setSecretKey</a></span>(javax.crypto.SecretKey&nbsp;secretKey)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT_POIFS_ENTRY">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DEFAULT_POIFS_ENTRY</h4>
                                <pre>protected static final&nbsp;java.lang.String DEFAULT_POIFS_ENTRY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.crypt.Encryptor.DEFAULT_POIFS_ENTRY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Encryptor--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Encryptor</h4>
                                <pre>public&nbsp;Encryptor()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDataStream-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataStream</h4>
                                <pre>public abstract&nbsp;java.io.OutputStream&nbsp;getDataStream(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
                                            throws java.io.IOException,
                                                   java.security.GeneralSecurityException</pre>
                                <div class="block">Return a output stream for encrypted data.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dir</code> - the node to write to</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>encrypted stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="confirmPassword-java.lang.String-byte:A-byte:A-byte:A-byte:A-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>confirmPassword</h4>
                                <pre>public abstract&nbsp;void&nbsp;confirmPassword(java.lang.String&nbsp;password,
                                     byte[]&nbsp;keySpec,
                                     byte[]&nbsp;keySalt,
                                     byte[]&nbsp;verifier,
                                     byte[]&nbsp;verifierSalt,
                                     byte[]&nbsp;integritySalt)</pre>
                            </li>
                        </ul>
                        <a name="confirmPassword-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>confirmPassword</h4>
                                <pre>public abstract&nbsp;void&nbsp;confirmPassword(java.lang.String&nbsp;password)</pre>
                            </li>
                        </ul>
                        <a name="getInstance-org.apache.poi.poifs.crypt.EncryptionInfo-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInstance</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Encryptor</a>&nbsp;getInstance(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;info)</pre>
                            </li>
                        </ul>
                        <a name="getDataStream-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataStream</h4>
                                <pre>public&nbsp;java.io.OutputStream&nbsp;getDataStream(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
                                   throws java.io.IOException,
                                          java.security.GeneralSecurityException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataStream-java.io.OutputStream-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataStream</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherOutputStream.html"
                                        title="class in org.apache.poi.poifs.crypt">ChunkedCipherOutputStream</a>&nbsp;getDataStream(java.io.OutputStream&nbsp;stream,
                                               int&nbsp;initialOffset)
                                        throws java.io.IOException,
                                               java.security.GeneralSecurityException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSecretKey--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSecretKey</h4>
                                <pre>public&nbsp;javax.crypto.SecretKey&nbsp;getSecretKey()</pre>
                            </li>
                        </ul>
                        <a name="setSecretKey-javax.crypto.SecretKey-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSecretKey</h4>
                                <pre>public&nbsp;void&nbsp;setSecretKey(javax.crypto.SecretKey&nbsp;secretKey)</pre>
                            </li>
                        </ul>
                        <a name="getEncryptionInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptionInfo</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                                    title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;getEncryptionInfo()</pre>
                            </li>
                        </ul>
                        <a name="setEncryptionInfo-org.apache.poi.poifs.crypt.EncryptionInfo-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEncryptionInfo</h4>
                                <pre>public&nbsp;void&nbsp;setEncryptionInfo(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;encryptionInfo)</pre>
                            </li>
                        </ul>
                        <a name="setChunkSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChunkSize</h4>
                                <pre>public&nbsp;void&nbsp;setChunkSize(int&nbsp;chunkSize)</pre>
                                <div class="block">Sets the chunk size of the data stream.
                                    Needs to be set before the data stream is requested.
                                    When not set, the implementation uses method specific default values
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>chunkSize</code> - the chunk size, i.e. the block size with the same
                                        encryption key
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                                    title="class in org.apache.poi.poifs.crypt">Encryptor</a>&nbsp;clone()
                throws java.lang.CloneNotSupportedException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.CloneNotSupportedException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Encryptor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/Encryptor.html" target="_top">Frames</a></li>
        <li><a href="Encryptor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
